LOGIN_AUTH(3)

NAME
authenticate auth_script auth_env auth_scan auth_rmfiles auth_checknologin auth_cat auth_ttyok auth_hostok auth_timesok - Authentication style support library for login class capabilities database.

SYNOPSIS
#include <sys/types.h>
#include <login_cap.h>
int
authenticate(const char *name, const char *classname, const char *style, const char *service);
int
auth_script(const char * path, ...);
int
auth_env(void);
int
auth_scan(int ok);
int
auth_rmfiles(void);
int
auth_checknologin(login_cap_t *lc);
int
auth_cat(const char *file);
int
auth_ttyok(login_cap_t *lc, const char *tty);
int
auth_hostok(login_cap_t *lc, const char *hostname, char const *ip);
int
auth_timesok(login_cap_t *lc, time_t now);

DESCRIPTION
This set of functions support the login class authorisation style interface provided by login.conf(5).

RETURN VALUES

SEE ALSO
getcap(3), login_cap(3), login_class(3), login.conf(5), termcap(5)